Bug 1122126

Summary: mc doesn't startup
Product: [Fedora] Fedora Reporter: Ozkan Sezer <sezeroz>
Component: mcAssignee: Jindrich Novy <novyjindrich>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: chepioq, dvlasenk, novyjindrich, pahan, slavazanko
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 21:41:33 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Ozkan Sezer 2014-07-22 15:15:53 UTC
Description of problem:

Fedora20, freshly net-install'ed, then did "yum install mc".

Issuing mc either from gnome terminal, or from a vt doesn't initialize:
it just stays there until I do a Ctrl-C to it.  Tried searching fedora
forum threads and also redhat bugzilla about it to no avail.


Version-Release number of selected component (if applicable):

$ rpm -q mc gpm-libs
mc-4.8.11-1.fc20.x86_64
gpm-libs-1.20.7-3.fc20.x86_64


How reproducible:

Always.


Steps to Reproduce:
1. Issue 'mc' from a console
2.
3.


Actual results:
mc doesn't startup


Expected results:
mc to startup with its two-pane interface


Additional info:

Comment 1 dominique 2014-07-22 16:39:07 UTC
I have same problem, but if I stay 25 seconds, mc start.

I think it's also a bug, because when I was with F19 mc start quickly.

Comment 2 Ozkan Sezer 2014-07-22 16:41:34 UTC
chepioq from the fedora forums noticed that mc actually takes _a lot_
of time to startup: I also verified that it almost took one minute to
startup.

The behavior stays the same if I upgrade to 4.8.12-2 from rawhide, or
downgrade to 4.6.2 from fc10/updates, therefore I guess the problem is
elsewhere that mc itself.

Comment 3 dominique 2014-07-24 16:09:55 UTC
I find a solution on fedora-forum.
I add a line in my /etc/hosts file with my IP adress and my hostname, and now mc start quickly (1 second).

If that help you.

Comment 4 Fedora End Of Life 2015-05-29 12:26:22 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-29 21:41:33 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.